"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withSignOffProposal = void 0;
const web3_js_1 = require("@solana/web3.js");
const serialisation_1 = require("./serialisation");
const borsh_1 = require("borsh");
const instructions_1 = require("./instructions");
const withSignOffProposal = (instructions, programId, proposal, signatoryRecord, signatory) => {
    const args = new instructions_1.SignOffProposalArgs();
    const data = Buffer.from((0, borsh_1.serialize)(serialisation_1.GOVERNANCE_SCHEMA, args));
    const keys = [
        {
            pubkey: proposal,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: signatoryRecord,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: signatory,
            isWritable: false,
            isSigner: true,
        },
        {
            pubkey: web3_js_1.SYSVAR_CLOCK_PUBKEY,
            isSigner: false,
            isWritable: false,
        },
    ];
    instructions.push(new web3_js_1.TransactionInstruction({
        keys,
        programId,
        data,
    }));
};
exports.withSignOffProposal = withSignOffProposal;
//# sourceMappingURL=withSignOffProposal.js.map